﻿@using X.PagedList.Mvc.Core;
@using TestJose.DataAccess;
@using X.PagedList.Web.Common;

@model X.PagedList.IPagedList<CommentProject>

@{
    ViewData["Title"] = "Comments to project";

}

<h4>Comments to project</h4>

<p>
    <a asp-route-projectId="@ViewData["ProjectID"]" asp-action="Create">New Comment</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayName("Date")
            </th>
            <th>
                @Html.DisplayName("Section")
            </th>
            <th>
                @Html.DisplayName("User")
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Date)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Section.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.User.UserName)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.ID">Edit</a> |
                    <a asp-action="Delete" asp-route-id="@item.ID">Delete</a> |
                    <a asp-action="Details" asp-route-id="@item.ID">Details</a>
                </td>
            </tr>
        }
    </tbody>
</table>
@*<a asp-controller="Projects" asp-action="Index">Back to Project List</a>*@

@Html.PagedListPager(Model, page => Url.Action("Index", new { page, projectId = ViewData["ProjectID"] }),
        new PagedListRenderOptionsBase
        {
            PageClasses = new string[] { "page-link" },
            UlElementClasses = new string[] { "pagination" },
            LiElementClasses = new string[] { "page-item" },
            DisplayItemSliceAndTotal = true,
            DisplayEllipsesWhenNotShowingAllPageNumbers = true,
            Display = PagedListDisplayMode.IfNeeded,
            DisplayLinkToFirstPage = PagedListDisplayMode.IfNeeded,
            DisplayLinkToLastPage = PagedListDisplayMode.IfNeeded
        }
    )

